Check for your java version

After checking for your java version you will be redirected automatically.

Or you can choose proper link manually:

Chose your Java version:   Microsoft Corp. >>,      Sun Microsytems 1.6 and later>> or    Sun Microsytems 1.5 and before>> or